All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dualselector
Interface DualSelectorKeysInterface

All Known Implementing Classes:
  BaseDualSelector, DualListSelector, DualSelector, DualTreeSelector, TreeListSelector

    public interface DualSelectorKeysInterface

Component keys used for the following selectors:
com.sas.servlet.tbeans.dualselector.html.DualListSelector, com.sas.servlet.tbeans.dualselector.html.TreeListSelector and com.sas.servlet.tbeans.dualselector.html.DualTreeSelector.

These keys also correspond to the keys in the template.

See Also:
  `TemplateInterface`, `TemplateSupport`

Field Summary
`static java.lang.String` | `DUALSELECTOR` The dualselector key
`static java.lang.String` | `DUALSELECTOR_DOWN_BUTTON` The button used for the moving target items down which is type com.sas.servlet.tbeans.html.Button
`static java.lang.String` | `DUALSELECTOR_LEFT_ALL_BUTTON` The button used for moving all items to source which is type com.sas.servlet.tbeans.html.Button
`static java.lang.String` | `DUALSELECTOR_LEFT_BUTTON` The button used for moving items to source which is type com.sas.servlet.tbeans.html.Button
`static java.lang.String` | `DUALSELECTOR_RIGHT_ALL_BUTTON` The button used for moving all items to target which is type com.sas.servlet.tbeans.html.Button
`static java.lang.String` | `DUALSELECTOR_RIGHT_BUTTON` The button used for moving items to target which is type com.sas.servlet.tbeans.html.Button
`static java.lang.String` | `DUALSELECTOR_SOURCE` The source component used for this selector which is type com.sas.servlet.tbeans.html.TreeView or com.sas.servlet.tbeans.form.html.ListBox
`static java.lang.String` | `DUALSELECTOR_SOURCE_LABEL` The label used above the source component which is type com.sas.servlet.tbeans.html.Label
`static java.lang.String` | `DUALSELECTOR_SUBMIT_BUTTON` The button used for submitting items on the target component which is type com.sas.servlet.tbeans.html.Button
`static java.lang.String` | `DUALSELECTOR_TARGET` The target component used for this selector which is type com.sas.servlet.tbeans.html.TreeView or com.sas.servlet.tbeans.form.html.ListBox
`static java.lang.String` | `DUALSELECTOR_TARGET_LABEL` The label used above the target component which is type com.sas.servlet.tbeans.html.Label
`static java.lang.String` | `DUALSELECTOR_UP_BUTTON` The button used for the moving target items up which is type com.sas.servlet.tbeans.html.Button

Field Detail

### DUALSELECTOR

    static final java.lang.String DUALSELECTOR

  The dualselector key

  See Also:
    Constant Field Values

### DUALSELECTOR_SOURCE

    static final java.lang.String DUALSELECTOR_SOURCE

  The source component used for this selector which is type com.sas.servlet.tbeans.html.TreeView or com.sas.servlet.tbeans.form.html.ListBox

  See Also:
    Constant Field Values

### DUALSELECTOR_TARGET

    static final java.lang.String DUALSELECTOR_TARGET

  The target component used for this selector which is type com.sas.servlet.tbeans.html.TreeView or com.sas.servlet.tbeans.form.html.ListBox

  See Also:
    Constant Field Values

### DUALSELECTOR_SOURCE_LABEL

    static final java.lang.String DUALSELECTOR_SOURCE_LABEL

  The label used above the source component which is type com.sas.servlet.tbeans.html.Label

  See Also:
    Constant Field Values

### DUALSELECTOR_TARGET_LABEL

    static final java.lang.String DUALSELECTOR_TARGET_LABEL

  The label used above the target component which is type com.sas.servlet.tbeans.html.Label

  See Also:
    Constant Field Values

### DUALSELECTOR_RIGHT_BUTTON

    static final java.lang.String DUALSELECTOR_RIGHT_BUTTON

  The button used for moving items to target which is type com.sas.servlet.tbeans.html.Button

  See Also:
    Constant Field Values

### DUALSELECTOR_LEFT_BUTTON

    static final java.lang.String DUALSELECTOR_LEFT_BUTTON

  The button used for moving items to source which is type com.sas.servlet.tbeans.html.Button

  See Also:
    Constant Field Values

### DUALSELECTOR_RIGHT_ALL_BUTTON

    static final java.lang.String DUALSELECTOR_RIGHT_ALL_BUTTON

  The button used for moving all items to target which is type com.sas.servlet.tbeans.html.Button

  See Also:
    Constant Field Values

### DUALSELECTOR_LEFT_ALL_BUTTON

    static final java.lang.String DUALSELECTOR_LEFT_ALL_BUTTON

  The button used for moving all items to source which is type com.sas.servlet.tbeans.html.Button

  See Also:
    Constant Field Values

### DUALSELECTOR_UP_BUTTON

    static final java.lang.String DUALSELECTOR_UP_BUTTON

  The button used for the moving target items up which is type com.sas.servlet.tbeans.html.Button

  See Also:
    Constant Field Values

### DUALSELECTOR_DOWN_BUTTON

    static final java.lang.String DUALSELECTOR_DOWN_BUTTON

  The button used for the moving target items down which is type com.sas.servlet.tbeans.html.Button

  See Also:
    Constant Field Values

### DUALSELECTOR_SUBMIT_BUTTON

    static final java.lang.String DUALSELECTOR_SUBMIT_BUTTON

  The button used for submitting items on the target component which is type com.sas.servlet.tbeans.html.Button

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.